Bug Hunting Session
Bug 99579 - bundled sample document templates are in english only, can we localize
Summary: bundled sample document templates are in english only, can we localize
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
5.1.2.2 release
Hardware: x86-64 (AMD64) All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-29 15:50 UTC by Dejoie
Modified: 2016-09-12 14:12 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dejoie 2016-04-29 15:50:02 UTC
Bonjour
Pourriez vous faire en sorte que ls modèles de lettres soient en français pour le logiciel en français, parce que dans la version 5.1.2.2 ca n'est pas le cas, tous les modèles sont en anglais
Merci
Comment 1 V Stuart Foote 2016-04-30 12:23:04 UTC
@Sophie, how is l10n/i18n being handeled regards the bundled template and "sample" documents?  Do we make any effort to localize the few core templates? 

Could we, i.e. might the local help translations bundle localized replacements  for the core templates and how difficult to accomplish?  Or is this best left to be done and maintained as extensions?
Comment 2 sophie 2016-05-02 09:27:57 UTC
@Stuart: I'll have a look, but the bundle templates should be localized or should not be bundled to l10n versions as it's not only a matter of translation, for letters for example, the page format is different, date presentation, etc... Sophie
Comment 3 tommy27 2016-05-05 04:27:06 UTC
(In reply to Dejoie from comment #0)
> Bonjour
> Pourriez vous faire en sorte que ls modèles de lettres soient en français
> pour le logiciel en français, parce que dans la version 5.1.2.2 ca n'est pas
> le cas, tous les modèles sont en anglais
> Merci

Google translate:

Hello
Could you make model letters are in French for the French in software, because in 5.1.2.2 version is not the case, all models are in English
Thank you


@Dejoie
please use english in the bug tracker for future reports
Comment 4 V Stuart Foote 2016-05-05 12:32:28 UTC
Prefer Bugzilla submissions in English of course, but a legitimate question and we knew what was being asked so felt no need to invalidate, nor to provide a translation.

Admittedly I depend on the good folks at Google myself, but their gisting translation gets further corrupted by a couple of typos/abbreviations in the French as submitted.

I have adjusted this to be the localization enhancement it is.

Question though would be how best to accomplish this.  If localized flavors of the sample documents/templates are generated by the project (as ODF templates), we probably will want to move them out of the core packaging.

But where, should they move? Into the offline help packages? Or do we get into the extension business, to better accommodate the asymmetrical localization efforts that will result.

And of course if done, someone under the ESC will have to coordinate the efforts. Sophie coordinates the Pootle based translation efforts now, this effort is completely out of scope to that.
Comment 5 Heiko Tietze 2016-09-06 08:30:42 UTC
My suggestion is to not include localized stuff by default. When we start with French templates we may quickly add other main languages, then not so common ones, and eventually we translate named objects so that it could be found in searches etc.

Ideally we have a perfect integration of additional stuff where the user can load what she wants. That's realized today by the templates/extension site but has room for a better integration.
Comment 6 Heiko Tietze 2016-09-12 14:12:30 UTC
No more comments, so I close the ticket as WONTFIX. Localized templates are welcome at http://templates.libreoffice.org/